Debian Bug report logs - #606084
ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: daniel@debian.org

Date: Mon, 6 Dec 2010 10:12:05 UTC

Owned by: Andrew O. Shadura <bugzilla@tut.by>

Severity: normal

Merged with 612637

Fixed in version wmii/3.10~20120413+hg2813-1

Done: Andrew Shadura <andrewsh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#606084; Package wnpp. (Mon, 06 Dec 2010 10:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 06 Dec 2010 10:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: O: wmii -- lightweight tabbed and tiled X11 window manager, version 3
Date: Mon, 06 Dec 2010 11:10:04 +0100
Package: wnpp

Hi,

this package is hereby orphaned.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: wmii
Priority: optional
Section: x11
Description: lightweight tabbed and tiled X11 window manager, version 3
 wmii is a dynamic window manager for X11, which is highly customizable
 and usable with keyboard and mouse. It supports conventional, tabbed
 and tiled window management with low memory usage. It is highly
 modularized and uses an inter-process communication interface which is
 oriented on the 9p protocol of plan9.
 .
 This package contains version 3 of the window manager, wmii2 contains
 version 2.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#606084; Package wnpp. (Wed, 09 Feb 2011 18:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Badia <sebastien@badia.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Feb 2011 18:03:10 GMT) Full text and rfc822 format available.

Message #10 received at 606084@bugs.debian.org (full text, mbox):

From: Sebastien Badia <sebastien@badia.fr>
To: 606084@bugs.debian.org
Subject: ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3
Date: Wed, 9 Feb 2011 18:59:58 +0100
Package: wnpp
Severity: normal

Hello,

I intend to be the new maintainer of the wmii package.

The package description is:
 wmii is a dynamic window manager for X11, which is highly customizable and
 usable with keyboard and mouse. It supports conventional, tabbed and tiled
 window management with low memory usage. It is highly modularized and uses an
 inter-process communication interface which is oriented on the 9p protocol of
 plan9.
 .
 This package contains version 3 of the window manager, wmii2 contains version
 2.

--
Sebastien Badia
KeyID: 2EAF F1F7
<sebastien@badia.fr>




Forcibly Merged 606084 612637. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 10 Feb 2011 12:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#606084; Package wnpp. (Wed, 11 May 2011 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wayne, steve" <steven.w.warren@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 May 2011 03:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 606084@bugs.debian.org (full text, mbox):

From: "wayne, steve" <steven.w.warren@gmail.com>
To: sebastien@badia.fr
Cc: 606084@bugs.debian.org
Subject: Re: ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3
Date: Tue, 10 May 2011 22:00:45 -0500
[Message part 1 (text/plain, inline)]
Hi,

I am emailing to inquire after the status of this ITA. Do you still intend
to pursue the management of this package? If not, I would like to express my
own interest. Thanks,

--
Wayne S. Warren
<steven.w.warren@gmail.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#606084; Package wnpp. (Mon, 30 May 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew O. Shadoura" <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 May 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 606084@bugs.debian.org (full text, mbox):

From: "Andrew O. Shadoura" <bugzilla@tut.by>
To: 606084@bugs.debian.org
Cc: "wayne, steve" <steven.w.warren@gmail.com>, sebastien@badia.fr
Subject: Re: Bug#606084: ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3
Date: Tue, 31 May 2011 01:34:19 +0300
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 10 May 2011 22:00:45 -0500
"wayne, steve" <steven.w.warren@gmail.com> wrote:

> I am emailing to inquire after the status of this ITA. Do you still
> intend to pursue the management of this package? If not, I would like
> to express my own interest. Thanks,

I'd like to express my own interest in maintaining wmii3, too. Also, I
have prepared a new package version, which has the following changes:

  * Fix FTBFS with ld --no-add-needed (Closes: #606209).
  * Fix crash when adding a second display (Closes: 628575).
  * Fix the configuration files path in the manpage (Closes: #431942).
  * Removed autogenerated files.
  * Don't try to remove .hg* files.
  * Fix dpkg-shlibdeps warnings.
  * Bump Standards-Version to 3.9.2.
  * Suggest Python and Ruby.
  * Do ldconfig call in postinst/postrm.
  * Add a manpage for wihack(1).
  * Fix the path in LD_PRELOAD for wihack.
  * Fix some markup in the manpages.
  * Make the Unicode font default (Closes: #598630).

The packaging is available by running:

hg clone http://anonscm.debian.org/hg/collab-maint/wmii/

When building, don't forget to pass -i.hg to dpkg-buildpackage.

(hgweb isn't yet available on anonscm.debian.org, so only http-cloning
works)

If you like, you may join this effort as a co-maintainer.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#606084; Package wnpp. (Tue, 31 May 2011 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Badia <sebastien@badia.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 May 2011 12:09:05 GMT) Full text and rfc822 format available.

Message #27 received at 606084@bugs.debian.org (full text, mbox):

From: Sebastien Badia <sebastien@badia.fr>
To: "Andrew O. Shadoura" <bugzilla@tut.by>
Cc: 606084@bugs.debian.org, "wayne, steve" <steven.w.warren@gmail.com>
Subject: Re: Bug#606084: ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3
Date: Tue, 31 May 2011 14:06:57 +0200
Le mardi 31 mai 2011 à 01:34:19 (+0300), Andrew O. Shadoura a écrit :
> Hello,
>
> On Tue, 10 May 2011 22:00:45 -0500
> "wayne, steve" <steven.w.warren@gmail.com> wrote:
>
> > I am emailing to inquire after the status of this ITA. Do you still
> > intend to pursue the management of this package? If not, I would like
> > to express my own interest. Thanks,
>
> I'd like to express my own interest in maintaining wmii3, too. Also, I
> have prepared a new package version, which has the following changes:
>
>   * Fix FTBFS with ld --no-add-needed (Closes: #606209).
>   * Fix crash when adding a second display (Closes: 628575).
>   * Fix the configuration files path in the manpage (Closes: #431942).
>   * Removed autogenerated files.
>   * Don't try to remove .hg* files.
>   * Fix dpkg-shlibdeps warnings.
>   * Bump Standards-Version to 3.9.2.
>   * Suggest Python and Ruby.
>   * Do ldconfig call in postinst/postrm.
>   * Add a manpage for wihack(1).
>   * Fix the path in LD_PRELOAD for wihack.
>   * Fix some markup in the manpages.
>   * Make the Unicode font default (Closes: #598630).
>
> The packaging is available by running:
>
> hg clone http://anonscm.debian.org/hg/collab-maint/wmii/
>
> When building, don't forget to pass -i.hg to dpkg-buildpackage.
>
> (hgweb isn't yet available on anonscm.debian.org, so only http-cloning
> works)
>
> If you like, you may join this effort as a co-maintainer.
>
> --
> WBR, Andrew

Hello,

Thank you very much for all this great work,
Indeed I have this "Ita" since February, so that Wii does not move
to the door...
However, i have not taking the time to do the job.
If it is necessary, I offer my help to maintain this package as
co-maintainer, or uploader.

Thanks

--
Sebastien Badia




Owner recorded as Sebastien Badia <sebastien@badia.fr>. Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:49 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: wmii -- lightweight tabbed and tiled X11 window' from 'O: wmii -- lightweight tabbed and tiled X11 window manager, version 3' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:50 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: wmii -- lightweight tabbed and tiled X11 window manager, version 3' from 'ITA: wmii -- lightweight tabbed and tiled X11 window' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 16:27:12 GMT) Full text and rfc822 format available.

Owner changed from Sebastien Badia <sebastien@badia.fr> to Andrew O. Shadura <bugzilla@tut.by>. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sat, 16 Jun 2012 17:00:07 GMT) Full text and rfc822 format available.

Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 21:09:05 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Fri, 12 Apr 2013 21:09:05 GMT) Full text and rfc822 format available.

Message #40 received at 606084-close@bugs.debian.org (full text, mbox):

From: Andrew Shadura <andrewsh@debian.org>
To: 606084-close@bugs.debian.org
Subject: Bug#606084: fixed in wmii 3.10~20120413+hg2813-1
Date: Fri, 12 Apr 2013 21:06:58 +0000
Source: wmii
Source-Version: 3.10~20120413+hg2813-1

We believe that the bug you reported is fixed in the latest version of
wmii, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606084@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Shadura <andrewsh@debian.org> (supplier of updated wmii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 12 Apr 2013 21:43:51 +0200
Source: wmii
Binary: wmii
Architecture: source i386
Version: 3.10~20120413+hg2813-1
Distribution: experimental
Urgency: low
Maintainer: Andrew Shadura <andrewsh@debian.org>
Changed-By: Andrew Shadura <andrewsh@debian.org>
Description: 
 wmii       - lightweight tabbed and tiled X11 window manager, version 3
Closes: 431942 598630 606084
Changes: 
 wmii (3.10~20120413+hg2813-1) experimental; urgency=low
 .
   * New maintainer (Closes: #606084).
   * New upstream release.
   * Fix the configuration files path in the manpage (Closes: #431942).
   * Removed autogenerated files.
   * Don't try to remove .hg* files.
   * Fix dpkg-shlibdeps warnings.
   * Bump Standards-Version to 3.9.4.
   * Suggest Python and Ruby.
   * Do a ldconfig call in postinst/postrm.
   * Add a manpage for wihack(1).
   * Fix the path in LD_PRELOAD for wihack.
   * Fix some markup in the manpages.
   * Build-depend on txt2tags to be able to regenerate manpages.
   * Added doc-base registration file.
   * Make the Unicode font default (Closes: #598630).
   * Remove an alternative dependency on dwm-tools.
   * Build-depend on python-all to ensure dh_python2 is available.
Checksums-Sha1: 
 1561551625201b9e08a39eebe31c3ed96499202e 2022 wmii_3.10~20120413+hg2813-1.dsc
 4a110de8362e60983de885a1a4a9ee219a47694e 452846 wmii_3.10~20120413+hg2813.orig.tar.bz2
 6f219506b258005fbd596d9247783acbc3756e65 9298 wmii_3.10~20120413+hg2813-1.debian.tar.gz
 c634bab76250bb584b66a17908a67be053caba3d 573030 wmii_3.10~20120413+hg2813-1_i386.deb
Checksums-Sha256: 
 4e17b936ee9979b2074d81136c308ff382f63db24465c2349a0432fb07b342be 2022 wmii_3.10~20120413+hg2813-1.dsc
 50077aa1b39e942f1f8a290e76cd2faf70d2b5f841f527275c7c9b3c8a09e1c0 452846 wmii_3.10~20120413+hg2813.orig.tar.bz2
 eb61381acf7799deaa00a05f83f950f7bf9cea47c81da0f14430894f720e541a 9298 wmii_3.10~20120413+hg2813-1.debian.tar.gz
 1913f30808eddc6af8a706bfb9b662d52cf00578ef4adc630b108b340399dc6b 573030 wmii_3.10~20120413+hg2813-1_i386.deb
Files: 
 9af093a19fb013dc805543dd076cf3f4 2022 x11 optional wmii_3.10~20120413+hg2813-1.dsc
 63cb7e95be708928e2449df8a25e57c5 452846 x11 optional wmii_3.10~20120413+hg2813.orig.tar.bz2
 804cc45e90e7087f0b58ce4a602849c0 9298 x11 optional wmii_3.10~20120413+hg2813-1.debian.tar.gz
 b150804d2ef7252d40f7594417a803cd 573030 x11 optional wmii_3.10~20120413+hg2813-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJRaGSLAAoJEG6k0jEaLSaNlIkQAL7NrbzyWBb/Oxy86yDjQ305
TGOxtCI63hAszxEYFnSASHH+qHsaQajLDUJFCkDzoVHy+Ks9ArhW5i7hVn3wpWmo
k3V6wb4sRJmgv+rhFz+aBSm3/dRByYfVD4JTtzmBcFwfZ8t93HObblex1cA7d/K/
uE0vAuZTmdneDNtuHtdzeOjZ1C9RNX9MdARAPNiKr22E8UUmYoSC5ChidtQNOET+
zlZStkWI8C3Veiu7KS7O58js2r9DiXlQh0t4Xrd7EDv/u4UI4hWeHjuaAdEVGb9x
BnQSxJWVH+xDvv9g4yoRYyPNS2668Khra42Bz//VZ8jlRCrPHzQZzq5C5n1/qGgJ
5R/0QAWM670Bc8z+Br5jODFfD48ztvtDMMCCHXTfwigq7+CScc64wDQBhOH6uxy0
A76R54VsRKZLNCpnH1N8SgNOdgfyjIIKMckSbUCslDmSEZctqt3KVhNEBIr6ef25
8PfKNINVJOxhJTAd6g3Dx0Aue+TX0q6cqSoIGMhxnE3FSCntdfbn8DvSSCUh4BPs
OKlq9hRZ6RqvTBw51h+4B90hT3hzDM1D7IinmMksOsghHPEkGShu+O9mAIs3E36A
JzPy7JL0BdS7A8kOF3j0mrei4RYxtPwtgseUvnWj/LvDR8NKfGh50ylnu/62jjTJ
rK2WherQn6O5JZVN9hmE
=cCjV
-----END PGP SIGNATURE-----




Reply sent to Andrew Shadura <andrewsh@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 21:09:05 GMT) Full text and rfc822 format available.

Notification sent to Sebastien Badia <sebastien@badia.fr>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 21:09:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:16:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.